Subject: Re: linux-next: manual merge of the wireless tree with Linus' tree

From: Rusty Russell <[email-masked]>
Date: Tue, 17 Aug 2010 12:29:44 +0930

On Tue, 17 Aug 2010 11:22:03 am Stephen Rothwell wrote:
> Hi John,
> 
> Today's linux-next merge of the wireless tree got a conflict in
> drivers/net/wireless/libertas/if_sdio.c between commit
> 886275ce41a9751117367fb387ed171049eb6148 ("param: lock if_sdio's
> lbs_helper_name and lbs_fw_name against sysfs changes") from Linus' tree
> and commit 3d32a58b87cd251b50842f93b87d5458061c0cfc ("libertas: [sdio]
> use common firmware request helper and new firmware locations") from the
> wireless tree.
> 
> OK, I can't quite figure out what is going on here.  The latter commit
> removes that code that was modified by the former, so I effectively
> reverted the former commit (by using this file from the wireless tree)
> since the "helper" and "firmware" fields of struct if_sdio_card don't
> seem to be used anywhere anymore.  Can they be removed as well?

I'm looking at the wireless tree now.

You can drop the commit as you have done.  But it leaves three problematic
writable charp parameters in the libertas/ directory which now need lifetime
management.

ie. kparam_block_sysfs_write()/unblock around them, and probably they need
to be copied.

Cheers,
Rusty.